# GstVulkanVideoFilter

GstVulkanVideoFilter is a helper base class for retrieving and holding the GstVulkanInstance, GstVulkanDevice and GstVulkanQueue used by an element.

## GstVulkanVideoFilter

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──GstVulkanVideoFilter

### Members

`parent` (GstBaseTransform) –

the parent GstBaseTransform

`instance` (GstVulkanInstance *) –

the configured GstVulkanInstance

`device` (GstVulkanDevice *) –

the configured GstVulkanDevice

`queue` (GstVulkanQueue *) –

the configured GstVulkanQueue

`in_caps` (GstCaps *) –

the configured input GstCaps

`in_info` (GstVideoInfo) –

the configured input GstVideoInfo

`out_caps` (GstCaps *) –

the configured output GstCaps

`out_info` (GstVideoInfo) –

the configured output GstVideoInfo

Since : 1.18

### Class structure

#### GstVulkanVideoFilterClass

##### Fields

`parent_class` (GstBaseTransformClass) –

the parent GstBaseTransformClass

Since : 1.18

### GstVulkan.VulkanVideoFilterClass

##### Attributes

`parent_class` (GstBase.BaseTransformClass) –

the parent GstBase.BaseTransformClass

Since : 1.18

### GstVulkan.VulkanVideoFilterClass

##### Attributes

`parent_class` (GstBase.BaseTransformClass) –

the parent GstBase.BaseTransformClass

Since : 1.18

## GstVulkan.VulkanVideoFilter

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Element
                    ╰──GstBase.BaseTransform
                        ╰──GstVulkan.VulkanVideoFilter

### Members

`parent` (GstBase.BaseTransform) –

the parent GstBase.BaseTransform

`instance` (GstVulkan.VulkanInstance) –

the configured GstVulkan.VulkanInstance

`device` (GstVulkan.VulkanDevice) –

the configured GstVulkan.VulkanDevice

`queue` (GstVulkan.VulkanQueue) –

the configured GstVulkan.VulkanQueue

`in_caps` (Gst.Caps) –

the configured input Gst.Caps

`in_info` (GstVideo.VideoInfo) –

the configured input GstVideo.VideoInfo

`out_caps` (Gst.Caps) –

the configured output Gst.Caps

`out_info` (GstVideo.VideoInfo) –

the configured output GstVideo.VideoInfo

Since : 1.18

## GstVulkan.VulkanVideoFilter

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Element
                    ╰──GstBase.BaseTransform
                        ╰──GstVulkan.VulkanVideoFilter

### Members

`parent` (GstBase.BaseTransform) –

the parent GstBase.BaseTransform

`instance` (GstVulkan.VulkanInstance) –

the configured GstVulkan.VulkanInstance

`device` (GstVulkan.VulkanDevice) –

the configured GstVulkan.VulkanDevice

`queue` (GstVulkan.VulkanQueue) –

the configured GstVulkan.VulkanQueue

`in_caps` (Gst.Caps) –

the configured input Gst.Caps

`in_info` (GstVideo.VideoInfo) –

the configured input GstVideo.VideoInfo

`out_caps` (Gst.Caps) –

the configured output Gst.Caps

`out_info` (GstVideo.VideoInfo) –

the configured output GstVideo.VideoInfo

Since : 1.18

The results of the search are